import { a as QueryParamsOptions, A as Adapter } from '../../types-BqpHnbAr.cjs';
import 'valibot';
import 'zod';

interface DomAdapterOptions extends Pick<QueryParamsOptions, "windowObj"> {
    /**
     * If `true`, the browser URL will be updated using
     * {@linkcode History.replaceState}, otherwise the browser URL will be
     * updated using {@linkcode History.pushState}
     *
     * @default false
     */
    replace?: boolean;
}
declare function dom(options?: DomAdapterOptions): Adapter;

export { type DomAdapterOptions, dom };
